package org.apache.ws.resource;

/**
 * An interface for exposing resource creation events.
 *
 * @author Sal Campana
 */
public interface ResourceCreation
{
    /**
     * Adds a listener for ResourceCreationEvents
     *
     * @param listener
     */
    void addResourceCreationListener( ResourceCreationListener listener);

    /**
     * Removes a listener for ResourceCreationEvents
     *
     * @param listener
     * @return  true if the listener was removed, else false
     */
    boolean removeResourceCreationListener( ResourceCreationListener listener);
}
