package org.apache.ws.resource;

/**
 * This interface is provided for listeners to be able to be notified
 * when a Resource is added to the ResourceHome.  Addition to the home
 * is viewed as the resource being created and accessible.
 *
 * @author Sal Campana
 */
public interface ResourceCreationListener
{
    /**
     * Method to receive notifcations when resources are created (added to the home).
     *
     * @param rce
     */
    void creationOccurred(ResourceCreationEvent rce);
}
