package org.apache.ws.resource.tool.porttype.v2004_09;

import org.apache.ws.resource.metadataexchange.v2004_09.porttype.MetadataExchangePortType;
import org.apache.ws.resource.tool.PortType2JavaInfo;

import javax.xml.namespace.QName;


/**
 * @author Sal Campana
 */
public class MetadataExchangePortType2JavaInfo extends PortType2JavaInfo
{

    /**
     * Returns the name of the portType that this object corresponds to.
     *
     * @return the name of the portType that this object corresponds to
     */
    public QName getName()
    {
        return MetadataExchangePortType.NAME;
    }


    public String getServiceInterfaceName()
    {
        return MetadataExchangePortType.class.getName();
    }


    public String getServiceTemplateFileName()
    {
        return "templates/v2004_09/GetMetadata.txt";
    }
}
