package org.apache.ws.util.soap;

import org.apache.ws.XmlObjectWrapper;
import org.apache.xmlbeans.XmlObject;

/**
 * A Facade wrapper for a SOAPBody
 *
 * @author Sal Campana
 */
public class Body implements XmlObjectWrapper
{
    XmlObject m_xmlObject;

    public Body(org.w3.x2003.x05.soapEnvelope.Body body)
    {
        m_xmlObject = body;
    }

    public Body(org.xmlsoap.schemas.soap.envelope.Body body)
    {
        m_xmlObject = body;
    }

    public XmlObject getXmlObject()
    {
        return m_xmlObject;
    }
}
