package org.apache.ws.util.soap;

import org.apache.ws.XmlObjectWrapper;
import org.apache.xmlbeans.XmlObject;


/**
 * A Facade wrapper for a SOAPHeader
 *
 * @author Sal Campana
 */
public class Header implements XmlObjectWrapper
{
    XmlObject m_xmlObject;

    public Header( org.w3.x2003.x05.soapEnvelope.Header header)
    {
        m_xmlObject = header;
    }

    public Header(org.xmlsoap.schemas.soap.envelope.Header header)
    {
        m_xmlObject = header;
    }

    public XmlObject getXmlObject()
    {
        return m_xmlObject;
    }
}
