package org.apache.ws.resource.properties;

import org.apache.ws.util.XmlBeanUtils;
import org.apache.ws.resource.properties.impl.CallbackFailedException;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlInt;

import javax.xml.namespace.QName;

/**
 * @author Sal Campana
 */
public class ThrowsCallback implements SetResourcePropertyCallback
{


    public ResourceProperty refreshProperty( ResourceProperty prop )  throws CallbackFailedException
    {
        Exception e = new Exception("Do we see this message?");
        throw new CallbackFailedException("Refresh Failed!", e);
    }

    private QName getPropName( ResourceProperty prop )
    {
        return prop.getMetaData().getName();
    }

    public void deleteProperty( QName propQName )   throws CallbackFailedException
    {
        Exception e = new Exception("Do we see this message?");
        throw new CallbackFailedException("Delete Failed!", e);
    }

    public void insertProperty( Object[] prop )  throws CallbackFailedException
    {
        Exception e = new Exception("Do we see this message?");
        throw new CallbackFailedException("Insert Failed!", e);
    }

    public void updateProperty( Object[] prop )  throws CallbackFailedException
    {
        Exception e = new Exception("Do we see this message?");
        throw new CallbackFailedException("Update Failed!", e);
    }


}
